Results 1 to 7 of 7

Thread: Cannot install flash on Chromium

  1. #1
    Join Date
    Jul 2014
    Location
    Slovakia
    Posts
    34

    Default Cannot install flash on Chromium

    I am just not able to get flash in Chromium working. I re-installed it few times also with rpm from Adobe web page but I am constantly getting pop-ups that I do not have it installed.

    Also what is strange & annoying - youtube will not play any video. I thought that you do not need flash 5 for that anymore.

    What can be done?

    openSUSE version: 13.1
    Chromium version: 35.0.1916.114 (270117)

  2. #2
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,002

    Default Re: Cannot install flash on Chromium

    You should install chromium-pepper-flash from Packman.

    The normal Adobe Flash is old as sin and the pepper version is much newer and works better.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  3. #3

    Default Re: Cannot install flash on Chromium

    Quote Originally Posted by rsupremo View Post
    I am just not able to get flash in Chromium working. I re-installed it few times also with rpm from Adobe web page but I am constantly getting pop-ups that I do not have it installed.
    Install chromium-pepper-flash, available from Packman, that's the Flash .plugin for chromium.
    Chromium doesn't support Netscape Plugins any more since version 34.

    Also what is strange & annoying - youtube will not play any video. I thought that you do not need flash 5 for that anymore.
    Go to http://youtube.com/html5 and enable the HTML5 player, then youtube won't use Flash any more.
    But in this case you need the appropriate codecs installed, in the case of chromium this would be the package "chromium-ffmpeg", also available on Packman.

  4. #4
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,002

    Default Re: Cannot install flash on Chromium

    Adding to what Wolfi said (which is 100% true) there are still some videos on Youtube that, for some obscure reason, do not work properly on HTML5 (perhaps somehow related to monetization or they just haven't been re-encoded).

    Usually these are old ones but you might still run into some.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  5. #5
    Join Date
    Jul 2014
    Location
    Slovakia
    Posts
    34

    Default Re: Cannot install flash on Chromium

    Installing pepper flash solved the problem.

    But what is strange is that I had installed chromium-ffmpeg (more precisely chromium-ffmpegsumo) and has been on http://youtube.com/html5 before
    and still could not play ANY video on youtube.

  6. #6
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,002

    Default Re: Cannot install flash on Chromium

    You need the chromium-ffmpeg from Packman as well, the distribution version does not support H264 files that Youtube uses and thus HTML5 would not play properly.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  7. #7

    Default Re: Cannot install flash on Chromium

    Quote Originally Posted by rsupremo View Post
    But what is strange is that I had installed chromium-ffmpeg (more precisely chromium-ffmpegsumo) and has been on http://youtube.com/html5 before
    and still could not play ANY video on youtube.
    As Miuku already mentioned as well, you do need exactly chromium-ffmpeg for full codec support, _not_ chromium-ffmpegsumo.

    chromium-ffmpegsumo is openSUSE's version that in fact lacks all restricted codecs (it does not use ffmpeg at all).

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •